import { Type, Compiler, Injector, ComponentFactoryResolver } from '@angular/core';
import { LazyComponentDef } from './tokens';
import { LazyCmpLoadedEvent } from './lazy-component-loaded-event';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgxElementService {
    private compiler;
    private injector;
    private componentsToLoad;
    private loadedComponents;
    private elementsLoading;
    injectors: Map<Type<any>, Injector>;
    componentFactoryResolvers: Map<Type<any>, ComponentFactoryResolver>;
    constructor(modulePaths: {
        selector: string;
    }[], compiler: Compiler, injector: Injector);
    receiveContext(component: Type<any>, injector: Injector): void;
    getInjector(component: Type<any>): Injector;
    getComponentFactoryResolver(component: Type<any>): ComponentFactoryResolver;
    getComponentsToLoad(): Map<string, LazyComponentDef>;
    getComponentToLoad(selector: string): Observable<LazyCmpLoadedEvent>;
    /**
     * Allows to lazy load a component given its selector.
     * If the component selector has been registered, it's according module
     * will be fetched lazily
     * @param componentTag selector of the component to load
     */
    loadComponent(componentSelector: string): Promise<LazyCmpLoadedEvent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxElementService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxElementService>;
}
//# sourceMappingURL=ngx-element.service.d.ts.map